Bug 186218 - Synaptics touchpad broken w/ 2.6.13 or newer kernel in FC4 and FC5
Synaptics touchpad broken w/ 2.6.13 or newer kernel in FC4 and FC5
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
  Show dependency treegraph
Reported: 2006-03-22 06:09 EST by Bryan Hunwardsen
Modified: 2008-03-11 00:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-11 00:39:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 174726 None None None Never

  None (edit)
Description Bryan Hunwardsen 2006-03-22 06:09:16 EST
Description of problem:
Ever since kernel 2.6.13 (I believe) in FC4 and now in FC5 my synaptics touchpad
is broken.  I get no errors or clues in any logs.  I believe its a kernel issue
as nothing changed in my fc4 except to update the kernel.  Random input on the
pad sometimes produces a jitter or right click.  This exists starting w/
anaconda gui w/ FC5

Version-Release number of selected component (if applicable):
Default FC5 Kernel

How reproducible:
Just try to install FC5 or upgradeFC4 to 2.6.13 or newer in FC4

Steps to Reproduce:
1. Begin Grapghical install of FC5
1. Boot from 2.6.13+ kernel in otherwise fine FC4
Actual results:
Touchpad doesnt work

Expected results:
Touchpad should load under synaptics driver and respond properly with full
features includeing scrolling

Additional info:
Booting in FC4 w/ 2.6.13 or higher or booting FC5 install gui with:
and the touchpad works but loses advanced functionality like scrolling,
gsynaptics will fail to start
Comment 1 Bryan Hunwardsen 2006-03-22 06:40:53 EST
dmesg reports:
psmouse.c: Touchpad at isa0060/serio1/input0 lost sync at byte 1
over and over.....
Comment 2 Felix Schwarz 2006-08-14 12:02:08 EDT
This sounds like it is a duplicate of bug 174726.
Comment 3 Bryan Hunwardsen 2006-08-14 21:39:23 EDT
Different problem, as mine exists 100% of the time in any distro using 2.6.13 or
Comment 4 petrosyan 2008-03-10 22:11:34 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 5 Bryan Hunwardsen 2008-03-11 00:11:57 EDT
I dont know, I havnt run FC since this issue, nor do I have that laptop
anymore(Alienware Area 51 Sentia model 244 - a uniwill oem)

Note You need to log in before you can comment on or make changes to this bug.